<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Detail_masuk_model extends CI_Model
{

    public $table = 'detail_masuk';
    public $id = 'id_detail_masuk';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
    }

    // get all
    function get_all()
    {
        $this->db->order_by($this->table.'.'.$this->id, $this->order);
        return $this->db->get($this->table)->result();
    }

    // get data by id
    function get_by_id($id)
    {
        $this->db->where($this->table.'.'.$this->id, $id);
        return $this->db->get($this->table)->row();
    }

	public function get_by_id_bm($id) {
		$this->db->where($this->table.'.id_masuk', $id);
		return $this->db->get($this->table)->result();
    }
    
    // get total rows
    function total_rows($q = NULL) {
        $this->db->like('id_detail_masuk', $q);
	$this->db->or_like($this->table.'.id_masuk', $q);
	$this->db->or_like($this->table.'.id_barang', $q);
	$this->db->or_like($this->table.'.jumlah', $q);
	$this->db->or_like($this->table.'.satuan', $q);
	$this->db->from($this->table);
        return $this->db->count_all_results();
    }

    // get data with limit and search
    function get_limit_data($limit, $start = 0, $q = NULL) {
        $this->db->order_by($this->table.'.'.$this->id, $this->order);
        $this->db->like('id_detail_masuk', $q);
	$this->db->or_like($this->table.'.id_masuk', $q);
	$this->db->or_like($this->table.'.id_barang', $q);
	$this->db->or_like($this->table.'.jumlah', $q);
	$this->db->or_like($this->table.'.satuan', $q);
	$this->db->limit($limit, $start);
        return $this->db->get($this->table)->result();
    }

    // insert data
    function insert($data)
    {
        $this->db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->table.'.'.$this->id, $id);
        $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->table.'.'.$this->id, $id);
        $this->db->delete($this->table);
    }

	public function delete_bybm($id) {
		$this->db->where($this->table.'.id_masuk', $id);
		$this->db->delete($this->table);
    }

}

/* End of file Detail_masuk_model.php */
/* Location: ./application/models/Detail_masuk_model.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2017-07-11 09:26:30 */
/* http://harviacode.com */